#ifndef TimingDump_HH
#define TimingDump_HH


#include "TimingReader.hh"
#include "TimingTypes.hh"


/** The TimingDump program writes the state of the timing system
  * to the stdout as an XML file.
  *
  * command line arguments:
  * -m <smem> : name of shared memory partition (default is TimingSystem)
  * -s <len> : size of buffers in bytes (default is 1 MB)
  * -n <num> : number of buffers in partition (default is 8)
  * -d : print debug messages
 * @brief TimingDump program
  *
  */

/// TimeDump
class TimeDump : public TimingReader {
public:
   /// Constructor
   TimeDump (int argc, char **argv)
    : TimingReader (argc, argv) {}
    
protected:
   /// Write XML to stdout
   virtual void work (const mfo_tree_list& mfolist);
};

#endif // TimingDump_HH
